com.sun.grid.jgdi.monitoring

## Class JobSummaryImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.JobInfoImpl
  - - com.sun.grid.jgdi.monitoring.JobSummaryImpl

- All Implemented Interfaces:
    JobInfo, JobSummary, java.io.Serializable

      public class JobSummaryImpl
      extends JobInfoImpl
      implements JobSummary, java.io.Serializable

  The class JobSummary extends the class JobInfo and adds addtional information about the job.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobSummaryImpl()` Creates a new instance of JobSummary

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArrayPredecessor(int job_id)` Add the job id of an array predecessor
    `void` | `addHardRequest(java.lang.String name, java.lang.String value, double uc)` Add a hard resource request to the job summary.
    `void` | `addHardRequestedMasterQueue(java.lang.String qname)` Adds a hard requested master queue to the job (see qsub -masterq).
    `void` | `addHardRequestedQueue(java.lang.String qname)` Add a hard requested queue
    `void` | `addPredecessor(int job_id)` Add the job id of a predecessor
    `void` | `addRequest(java.lang.String name, java.lang.String value)` Add a resource request to the job
    `void` | `addRequestedArrayPredecessor(java.lang.String name)` add a requested array predecessor to the job (array predecessor of a job can be requested with qsub -hold_jid_ad)
    `void` | `addRequestedPredecessor(java.lang.String name)` add a requested predecessor to the job (predecessor of a job can be requested with qsub -hold_jid)
    `void` | `addSoftRequest(java.lang.String name, java.lang.String value)` Add a soft request to the job
    `void` | `addSoftRequestedMasterQueue(java.lang.String qname)` Add a soft requested master queue (see qsub -masterq)
    `void` | `addSoftRequestedQueue(java.lang.String qname)` Add a soft requested queue
    `void` | `addTask(TaskSummary taskSummary)` Add a new task to the job
    `java.util.List<java.lang.Integer>` | `getArrayPredecessors()` Get a list of all array predecessor job id
    `java.lang.String` | `getCheckpointEnv()` Get the checkpoint environment of the job
    `int` | `getCpuUsage()` Get the cpu usage of the job.
    `java.util.Date` | `getDeadline()` Get the deadline of the job
    `java.lang.String` | `getDepartment()` Get the department of the job
    `double` | `getDlcontr()` Get the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
    `long` | `getFtickets()` Get the functional portion of the total number of tickets assigned to the job currently.
    `java.lang.String` | `getGrantedPEName()` Get the name of the granted PE
    `int` | `getGrantedPESlots()` Get the number of granted PE slots
    `java.util.List<java.lang.String>` | `getHardRequestedMasterQueues()` Get a list of all hard requested master queues
    `java.util.List<java.lang.String>` | `getHardRequestedQueues()` Get a list of all hard requested queues
    `java.util.Set<java.lang.String>` | `getHardRequestNames()` Get a set of all hard requested resources.
    `HardRequestValue` | `getHardRequestValue(java.lang.String name)` Get a value of a hard requested resource
    `double` | `getIoUsage()` Get the io usage of the job.
    `double` | `getMemUsage()` Get the memory usage of the job.
    `double` | `getNormalizedPriority()` Get the normalized priority of the job
    `double` | `getNormalizedRequestedPriority()` Get the priority of the job which has been requested by the user in normalized form
    `double` | `getNormalizedTickets()` Get the normalized total number of tickets
    `double` | `getNormalizedUrgency()` Get the jobs total urgency value in normalized fashion.
    `long` | `getOtickets()` Get the override portion of the total number of tickets assigned to the job currently
    `long` | `getOverrideTickets()` Get the override tickets of the job
    `java.lang.String` | `getParallelEnvironmentName()` Get the name of the parallel environment of the job
    `java.lang.String` | `getParallelEnvironmentRange()` Get the requested PE slot range.
    `java.util.List<java.lang.Integer>` | `getPredecessors()` Get a list of all predecessor job id
    `java.lang.String` | `getProject()` Get the project of the job
    `java.util.List<java.lang.String>` | `getRequestedArrayPredecessors()` Get a list of all requested array predecessors
    `java.util.List<java.lang.String>` | `getRequestedPredecessors()` Get a list of all requested predecessors
    `java.util.Set<java.lang.String>` | `getRequestNames()` Get all resources which have been requested by this job.
    `java.lang.String` | `getRequestValue(java.lang.String name)` Get value of a requested resource
    `double` | `getRrcontr()` Get the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.
    `double` | `getShare()` Get the share of the total system to which the job is entitled currently.
    `int` | `getSlots()` Get the number of used slots
    `java.util.List` | `getSoftRequestedMasterQueues()` Get a list of all soft requested master queues
    `java.util.List<java.lang.String>` | `getSoftRequestedQueues()` Get a list of all soft requested queues
    `java.util.Set<java.lang.String>` | `getSoftRequestNames()` Get a set of all soft requested resources
    `java.lang.String` | `getSoftRequestValue(java.lang.String name)` Get the value of a soft requested resource
    `long` | `getStickets()` Get the share portion of the total number of tickets assigned to the job currently.
    `int` | `getTaskCount()` Get the number of tasks of this job
    `java.util.List<TaskSummary>` | `getTaskList()` Get the list of tasks of this job
    `long` | `getTickets()` Get the currently number of tickets of the job
    `double` | `getUrgency()` Get the total urgency of the job
    `double` | `getWtcontr()` Get the urgency value contribution that reflects the urgency related to the jobs waiting time.
    `boolean` | `hasCpuUsage()` Determine if the job has a cpu usage
    `boolean` | `hasIoUsage()` Determine if the job has a io usage
    `boolean` | `hasMemUsage()` Determine if the job has a memory usage
    `boolean` | `isArray()` Determine if the job is an array job
    `boolean` | `isQueueAssigned()` Determine if the job is assigned to a queue
    `boolean` | `isRunning()` Determine if the job is running
    `boolean` | `isZombie()` Determine if the job is a zombie
    `void` | `setArray(boolean isArray)` Set the array job flag
    `void` | `setCheckpointEnv(java.lang.String checkpointEnv)` Set the checkpoint environment of the job
    `void` | `setCpuUsage(int cpuUsage)` Set the cpu usage of the job
    `void` | `setDeadline(java.util.Date deadline)` Set the deadline of the job
    `void` | `setDeadline(long deadline)` Set the deadline of the job
    `void` | `setDepartment(java.lang.String department)` Set the department of the job
    `void` | `setDlcontr(double dlcontr)` Set the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
    `void` | `setFtickets(long ftickets)` Set the functional portion of the total number of tickets assigned to the job currently.
    `void` | `setGrantedPEName(java.lang.String grantedPEName)` Set the name of the granted PE
    `void` | `setGrantedPESlots(int grantedPESlots)` Set the number of granted PE slots
    `void` | `setIoUsage(double ioUsage)` Set the io usage of the job.
    `void` | `setMemUsage(double memUsage)` Set the memory usage of the job
    `void` | `setNormalizedPriority(double nprior)` Get the normalized priority of the job param nprior the normalized priority
    `void` | `setNormalizedRequestedPriority(double nppri)` Set the priority of the job which has been requested by the user in normalized form
    `void` | `setNormalizedTickets(double ntckts)` Set the normalized total number of tickets
    `void` | `setNormalizedUrgency(double nurg)` Set the jobs total urgency value in normalized fashion.
    `void` | `setOtickets(long otickets)` Set the override portion of the total number of tickets assigned to the job currently
    `void` | `setOverrideTickets(long overrideTickets)` Set the override tickets of the job
    `void` | `setParallelEnvironmentName(java.lang.String parallelEnvironmentName)` Set the name of the parallel environment of the job
    `void` | `setParallelEnvironmentRange(java.lang.String parallelEnvironmentRange)` Set the requested PE slot range.
    `void` | `setProject(java.lang.String project)` Set the project of the job
    `void` | `setQueueAssigned(boolean isQueueAssigned)` Set the queue assigned falg
    `void` | `setRrcontr(double rrcontr)` Set the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.
    `void` | `setRunning(boolean isRunning)` Set the is running flag
    `void` | `setShare(double share)` Set the share of the total system to which the job is entitled currently.
    `void` | `setSlots(int slots)` Set the number of used slots
    `void` | `setStickets(long stickets)` Set the share portion of the total number of tickets assigned to the job currently.
    `void` | `setTickets(long tickets)` Set the currently number of tickets of the job
    `void` | `setUrgency(double urg)` Set the total urgency of the job
    `void` | `setWtcontr(double wtcontr)` Set the urgency value contribution that reflects the urgency related to the jobs waiting time.
    `void` | `setZombie(boolean isZombie)` Set the zombie flag

    - ### Methods inherited from class com.sun.grid.jgdi.monitoring.JobInfoImpl

      `getId, getMasterQueue, getName, getPriority, getQinstanceName, getQueue, getStartTime, getState, getSubmitTime, getTaskId, getUser, setId, setMasterQueue, setName, setPriority, setQinstanceName, setQueue, setStartTime, setStartTime, setState, setSubmitTime, setSubmitTime, setTaskId, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.monitoring.JobInfo

      `getId, getMasterQueue, getName, getPriority, getQinstanceName, getQueue, getStartTime, getState, getSubmitTime, getTaskId, getUser`

- - ### Constructor Detail

    - #### JobSummaryImpl

          public JobSummaryImpl()

      Creates a new instance of JobSummary

  - ### Method Detail

    - #### getTaskList

          public java.util.List<TaskSummary> getTaskList()

      Get the list of tasks of this job
      Specified by:
        `getTaskList` in interface `JobSummary`
      Returns:
        the list of tasks

    - #### getTaskCount

          public int getTaskCount()

      Get the number of tasks of this job
      Specified by:
        `getTaskCount` in interface `JobSummary`
      Returns:
        the number of tasks

    - #### addTask

          public void addTask(TaskSummary taskSummary)

      Add a new task to the job
      Parameters:
        `taskSummary` - the new task

    - #### addRequest

          public void addRequest(java.lang.String name,
                                 java.lang.String value)

      Add a resource request to the job
      Parameters:
        `name` - of the resource
        `value` - requested value of the resource

    - #### getRequestNames

          public java.util.Set<java.lang.String> getRequestNames()

      Get all resources which have been requested by this job.

      recource requsts are specified by qsub with the -l option (see man qsub).

      Specified by:
        `getRequestNames` in interface `JobSummary`
      Returns:
        set of resources names

    - #### getRequestValue

          public java.lang.String getRequestValue(java.lang.String name)

      Get value of a requested resource
      Specified by:
        `getRequestValue` in interface `JobSummary`
      Parameters:
        `name` - name of the requested resource
      Returns:
        value of the requested resource

    - #### addHardRequest

          public void addHardRequest(java.lang.String name,
                                     java.lang.String value,
                                     double uc)

      Add a hard resource request to the job summary.
      Parameters:
        `name` - name of the resource
        `value` - requested value
        `uc` - jobs urgency contribution for this resource

    - #### getHardRequestNames

          public java.util.Set<java.lang.String> getHardRequestNames()

      Get a set of all hard requested resources.
      Specified by:
        `getHardRequestNames` in interface `JobSummary`
      Returns:
        set of resource names

    - #### getHardRequestValue

          public HardRequestValue getHardRequestValue(java.lang.String name)

      Get a value of a hard requested resource
      Specified by:
        `getHardRequestValue` in interface `JobSummary`
      Parameters:
        `name` - name of the hard requested resource
      Returns:
        the hard requested resource value (includes the requested value and the urgency contribution)

    - #### addSoftRequest

          public void addSoftRequest(java.lang.String name,
                                     java.lang.String value)

      Add a soft request to the job
      Parameters:
        `name` - name of the requested resource
        `value` - requested value

    - #### getSoftRequestNames

          public java.util.Set<java.lang.String> getSoftRequestNames()

      Get a set of all soft requested resources
      Specified by:
        `getSoftRequestNames` in interface `JobSummary`
      Returns:
        set of all soft requested resources

    - #### getSoftRequestValue

          public java.lang.String getSoftRequestValue(java.lang.String name)

      Get the value of a soft requested resource
      Specified by:
        `getSoftRequestValue` in interface `JobSummary`
      Parameters:
        `name` - name of the resource
      Returns:
        requested value

    - #### addHardRequestedQueue

          public void addHardRequestedQueue(java.lang.String qname)

      Add a hard requested queue
      Parameters:
        `qname` - of the hard requested queue

    - #### getHardRequestedQueues

          public java.util.List<java.lang.String> getHardRequestedQueues()

      Get a list of all hard requested queues
      Specified by:
        `getHardRequestedQueues` in interface `JobSummary`
      Returns:
        list of hard requested queues

    - #### addSoftRequestedQueue

          public void addSoftRequestedQueue(java.lang.String qname)

      Add a soft requested queue
      Specified by:
        `addSoftRequestedQueue` in interface `JobSummary`
      Parameters:
        `qname` - name of the soft requested queue

    - #### getSoftRequestedQueues

          public java.util.List<java.lang.String> getSoftRequestedQueues()

      Get a list of all soft requested queues
      Specified by:
        `getSoftRequestedQueues` in interface `JobSummary`
      Returns:
        list of all soft requested queues

    - #### addHardRequestedMasterQueue

          public void addHardRequestedMasterQueue(java.lang.String qname)

      Adds a hard requested master queue to the job (see qsub -masterq).
      Parameters:
        `qname` - name of the hard requested master queue

    - #### getHardRequestedMasterQueues

          public java.util.List<java.lang.String> getHardRequestedMasterQueues()

      Get a list of all hard requested master queues
      Specified by:
        `getHardRequestedMasterQueues` in interface `JobSummary`
      Returns:
        list of all hard requested master queues

    - #### addSoftRequestedMasterQueue

          public void addSoftRequestedMasterQueue(java.lang.String qname)

      Add a soft requested master queue (see qsub -masterq)
      Specified by:
        `addSoftRequestedMasterQueue` in interface `JobSummary`
      Parameters:
        `qname` - of the soft requested master queue

    - #### getSoftRequestedMasterQueues

          public java.util.List getSoftRequestedMasterQueues()

      Get a list of all soft requested master queues
      Specified by:
        `getSoftRequestedMasterQueues` in interface `JobSummary`
      Returns:
        list of all soft requested master queues

    - #### addRequestedPredecessor

          public void addRequestedPredecessor(java.lang.String name)

      add a requested predecessor to the job (predecessor of a job can be requested with qsub -hold_jid)
      Parameters:
        `name` - of the predecessor

    - #### addRequestedArrayPredecessor

          public void addRequestedArrayPredecessor(java.lang.String name)

      add a requested array predecessor to the job (array predecessor of a job can be requested with qsub -hold_jid_ad)
      Parameters:
        `name` - of the array predecessor

    - #### getRequestedPredecessors

          public java.util.List<java.lang.String> getRequestedPredecessors()

      Get a list of all requested predecessors
      Specified by:
        `getRequestedPredecessors` in interface `JobSummary`
      Returns:
        list of requested predecessors job names

    - #### getRequestedArrayPredecessors

          public java.util.List<java.lang.String> getRequestedArrayPredecessors()

      Get a list of all requested array predecessors
      Specified by:
        `getRequestedArrayPredecessors` in interface `JobSummary`
      Returns:
        list of requested array predecessors job names

    - #### addPredecessor

          public void addPredecessor(int job_id)

      Add the job id of a predecessor
      Parameters:
        `job_id` - job id of the predecessor

    - #### addArrayPredecessor

          public void addArrayPredecessor(int job_id)

      Add the job id of an array predecessor
      Parameters:
        `job_id` - job id of the array predecessor

    - #### getPredecessors

          public java.util.List<java.lang.Integer> getPredecessors()

      Get a list of all predecessor job id
      Specified by:
        `getPredecessors` in interface `JobSummary`
      Returns:
        list of job ids (java.lang.Integer)

    - #### getArrayPredecessors

          public java.util.List<java.lang.Integer> getArrayPredecessors()

      Get a list of all array predecessor job id
      Specified by:
        `getArrayPredecessors` in interface `JobSummary`
      Returns:
        list of job ids (java.lang.Integer)

    - #### getNormalizedUrgency

          public double getNormalizedUrgency()

      Get the jobs total urgency value in normalized fashion.
      Specified by:
        `getNormalizedUrgency` in interface `JobSummary`
      Returns:
        the jobs total urgency value in normalized fashion

    - #### setNormalizedUrgency

          public void setNormalizedUrgency(double nurg)

      Set the jobs total urgency value in normalized fashion.
      Specified by:
        `setNormalizedUrgency` in interface `JobSummary`
      Parameters:
        `nurg` - the normalized total urgency

    - #### getUrgency

          public double getUrgency()

      Get the total urgency of the job
      Specified by:
        `getUrgency` in interface `JobSummary`
      Returns:
        total urgency of the job

    - #### setUrgency

          public void setUrgency(double urg)

      Set the total urgency of the job
      Parameters:
        `urg` - the total urgency

    - #### getNormalizedRequestedPriority

          public double getNormalizedRequestedPriority()

      Get the priority of the job which has been requested by the user in normalized form
      Specified by:
        `getNormalizedRequestedPriority` in interface `JobSummary`
      Returns:
        the normalized job priority

    - #### setNormalizedRequestedPriority

          public void setNormalizedRequestedPriority(double nppri)

      Set the priority of the job which has been requested by the user in normalized form
      Parameters:
        `nppri` - requested priority in normalized

    - #### getNormalizedPriority

          public double getNormalizedPriority()

      Get the normalized priority of the job
      Specified by:
        `getNormalizedPriority` in interface `JobSummary`
      Returns:
        the normalized priority of the job

    - #### setNormalizedPriority

          public void setNormalizedPriority(double nprior)

      Get the normalized priority of the job param nprior the normalized priority

    - #### getNormalizedTickets

          public double getNormalizedTickets()

      Get the normalized total number of tickets
      Specified by:
        `getNormalizedTickets` in interface `JobSummary`
      Returns:
        the normalized total number of tickets

    - #### setNormalizedTickets

          public void setNormalizedTickets(double ntckts)

      Set the normalized total number of tickets
      Parameters:
        `ntckts` - the normalized total number of tickets

    - #### getRrcontr

          public double getRrcontr()

      Get the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.
      Specified by:
        `getRrcontr` in interface `JobSummary`
      Returns:
        the urgency value contribution

    - #### setRrcontr

          public void setRrcontr(double rrcontr)

      Set the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.

    - #### getWtcontr

          public double getWtcontr()

      Get the urgency value contribution that reflects the urgency related to the jobs waiting time.
      Specified by:
        `getWtcontr` in interface `JobSummary`
      Returns:
        the urgency value contribution

    - #### setWtcontr

          public void setWtcontr(double wtcontr)

      Set the urgency value contribution that reflects the urgency related to the jobs waiting time.
      Parameters:
        `wtcontr` - the urgency value contribution

    - #### getDlcontr

          public double getDlcontr()

      Get the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
      Specified by:
        `getDlcontr` in interface `JobSummary`
      Returns:
        the urgency value contribution

    - #### setDlcontr

          public void setDlcontr(double dlcontr)

      Set the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
      Parameters:
        `dlcontr` - the urgency value contribution

    - #### getProject

          public java.lang.String getProject()

      Get the project of the job
      Specified by:
        `getProject` in interface `JobSummary`
      Returns:
        the project of the job

    - #### setProject

          public void setProject(java.lang.String project)

      Set the project of the job
      Parameters:
        `project` - project of the job

    - #### getDepartment

          public java.lang.String getDepartment()

      Get the department of the job
      Specified by:
        `getDepartment` in interface `JobSummary`
      Returns:
        the department of the job

    - #### setDepartment

          public void setDepartment(java.lang.String department)

      Set the department of the job
      Parameters:
        `department` - the department of the job

    - #### getDeadline

          public java.util.Date getDeadline()

      Get the deadline of the job
      Specified by:
        `getDeadline` in interface `JobSummary`
      Returns:
        the deadline

    - #### setDeadline

          public void setDeadline(java.util.Date deadline)

      Set the deadline of the job
      Parameters:
        `deadline` - the deadline of the job

    - #### setDeadline

          public void setDeadline(long deadline)

      Set the deadline of the job
      Parameters:
        `deadline` - the deadline of the job in millis

    - #### hasCpuUsage

          public boolean hasCpuUsage()

      Determine if the job has a cpu usage
      Specified by:
        `hasCpuUsage` in interface `JobSummary`
      Returns:
        true of the job has a cpu usage

    - #### getCpuUsage

          public int getCpuUsage()

      Get the cpu usage of the job. If the jobs has no cpu usage, `0` is returned
      Specified by:
        `getCpuUsage` in interface `JobSummary`
      Returns:
        the cpu usage of the job
      See Also:
        `hasCpuUsage`

    - #### setCpuUsage

          public void setCpuUsage(int cpuUsage)

      Set the cpu usage of the job
      Parameters:
        `cpuUsage` - the cpu usage

    - #### hasMemUsage

          public boolean hasMemUsage()

      Determine if the job has a memory usage
      Specified by:
        `hasMemUsage` in interface `JobSummary`
      Returns:
        `true` if the job has a memory usage

    - #### getMemUsage

          public double getMemUsage()

      Get the memory usage of the job. If the job has no memory usage `0` is returned.
      Specified by:
        `getMemUsage` in interface `JobSummary`
      Returns:
        the memory usage of the job
      See Also:
        `hasMemUsage`

    - #### setMemUsage

          public void setMemUsage(double memUsage)

      Set the memory usage of the job
      Parameters:
        `memUsage` - the memory usage

    - #### hasIoUsage

          public boolean hasIoUsage()

      Determine if the job has a io usage
      Specified by:
        `hasIoUsage` in interface `JobSummary`
      Returns:
        true of the job has a io usage

    - #### getIoUsage

          public double getIoUsage()

      Get the io usage of the job. If the job has no io usage `0` is returned.
      Specified by:
        `getIoUsage` in interface `JobSummary`
      Returns:
        the io usage of the job
      See Also:
        `hasIoUsage`

    - #### setIoUsage

          public void setIoUsage(double ioUsage)

      Set the io usage of the job.
      Parameters:
        `ioUsage` - the io usage of the job

    - #### isZombie

          public boolean isZombie()

      Determine if the job is a zombie
      Specified by:
        `isZombie` in interface `JobSummary`
      Returns:
        `false` if the job a zombie

    - #### setZombie

          public void setZombie(boolean isZombie)

      Set the zombie flag
      Parameters:
        `isZombie` - the zombie flag

    - #### getOverrideTickets

          public long getOverrideTickets()

      Get the override tickets of the job
      Specified by:
        `getOverrideTickets` in interface `JobSummary`
      Returns:
        the override tickets of the job

    - #### setOverrideTickets

          public void setOverrideTickets(long overrideTickets)

      Set the override tickets of the job
      Parameters:
        `overrideTickets` - the override tickets of the job

    - #### isQueueAssigned

          public boolean isQueueAssigned()

      Determine if the job is assigned to a queue
      Specified by:
        `isQueueAssigned` in interface `JobSummary`
      Returns:
        `true` if the job is assigned to a queue

    - #### setQueueAssigned

          public void setQueueAssigned(boolean isQueueAssigned)

      Set the queue assigned falg
      Parameters:
        `isQueueAssigned` - the queue assigned flag

    - #### getTickets

          public long getTickets()

      Get the currently number of tickets of the job
      Specified by:
        `getTickets` in interface `JobSummary`
      Returns:
        currently number of tickets

    - #### setTickets

          public void setTickets(long tickets)

      Set the currently number of tickets of the job
      Parameters:
        `tickets` - currently number of tickets

    - #### getOtickets

          public long getOtickets()

      Get the override portion of the total number of tickets assigned to the job currently
      Specified by:
        `getOtickets` in interface `JobSummary`
      Returns:
        override portion of the total number of tickets

    - #### setOtickets

          public void setOtickets(long otickets)

      Set the override portion of the total number of tickets assigned to the job currently
      Parameters:
        `otickets` - the override portion of the total number of tickets

    - #### getFtickets

          public long getFtickets()

      Get the functional portion of the total number of tickets assigned to the job currently.
      Specified by:
        `getFtickets` in interface `JobSummary`
      Returns:
        the functional portion of the total number of tickets

    - #### setFtickets

          public void setFtickets(long ftickets)

      Set the functional portion of the total number of tickets assigned to the job currently.
      Parameters:
        `ftickets` - the functional portion of the total number of tickets

    - #### getStickets

          public long getStickets()

      Get the share portion of the total number of tickets assigned to the job currently.
      Specified by:
        `getStickets` in interface `JobSummary`
      Returns:
        the share portion of the total number of tickets

    - #### setStickets

          public void setStickets(long stickets)

      Set the share portion of the total number of tickets assigned to the job currently.
      Parameters:
        `stickets` - the share portion of the total number of tickets

    - #### getShare

          public double getShare()

      Get the share of the total system to which the job is entitled currently.
      Specified by:
        `getShare` in interface `JobSummary`
      Returns:
        the share of the job

    - #### setShare

          public void setShare(double share)

      Set the share of the total system to which the job is entitled currently.
      Parameters:
        `share` - the share of the job

    - #### getSlots

          public int getSlots()

      Get the number of used slots
      Specified by:
        `getSlots` in interface `JobSummary`
      Returns:
        the number of used slots

    - #### setSlots

          public void setSlots(int slots)

      Set the number of used slots
      Specified by:
        `setSlots` in interface `JobSummary`
      Parameters:
        `slots` - the number of used slots

    - #### isArray

          public boolean isArray()

      Determine if the job is an array job
      Specified by:
        `isArray` in interface `JobSummary`
      Returns:
        `true` if the job is an array job

    - #### setArray

          public void setArray(boolean isArray)

      Set the array job flag
      Parameters:
        `isArray` - the array job flag

    - #### isRunning

          public boolean isRunning()

      Determine if the job is running
      Specified by:
        `isRunning` in interface `JobSummary`
      Returns:
        `true` of the job is running

    - #### setRunning

          public void setRunning(boolean isRunning)

      Set the is running flag
      Parameters:
        `isRunning` - the is running flag

    - #### getParallelEnvironmentName

          public java.lang.String getParallelEnvironmentName()

      Get the name of the parallel environment of the job
      Specified by:
        `getParallelEnvironmentName` in interface `JobSummary`
      Returns:
        name of the parallel environment

    - #### setParallelEnvironmentName

          public void setParallelEnvironmentName(java.lang.String parallelEnvironmentName)

      Set the name of the parallel environment of the job
      Parameters:
        `parallelEnvironmentName` - name of the parallel environment

    - #### getParallelEnvironmentRange

          public java.lang.String getParallelEnvironmentRange()

      Get the requested PE slot range.
      Specified by:
        `getParallelEnvironmentRange` in interface `JobSummary`
      Returns:
        the requested PE slot range

    - #### setParallelEnvironmentRange

          public void setParallelEnvironmentRange(java.lang.String parallelEnvironmentRange)

      Set the requested PE slot range.
      Parameters:
        `parallelEnvironmentRange` - the requested PE slot range

    - #### getGrantedPEName

          public java.lang.String getGrantedPEName()

      Get the name of the granted PE
      Specified by:
        `getGrantedPEName` in interface `JobSummary`
      Returns:
        name of the granted PE

    - #### setGrantedPEName

          public void setGrantedPEName(java.lang.String grantedPEName)

      Set the name of the granted PE
      Parameters:
        `grantedPEName` - name of the granted PE

    - #### getGrantedPESlots

          public int getGrantedPESlots()

      Get the number of granted PE slots
      Specified by:
        `getGrantedPESlots` in interface `JobSummary`
      Returns:
        number of granted PE slots

    - #### setGrantedPESlots

          public void setGrantedPESlots(int grantedPESlots)

      Set the number of granted PE slots
      Parameters:
        `grantedPESlots` - number of granted PE slots

    - #### getCheckpointEnv

          public java.lang.String getCheckpointEnv()

      Get the checkpoint environment of the job
      Specified by:
        `getCheckpointEnv` in interface `JobSummary`
      Returns:
        the checkpoint environment of the job

    - #### setCheckpointEnv

          public void setCheckpointEnv(java.lang.String checkpointEnv)

      Set the checkpoint environment of the job
      Parameters:
        `checkpointEnv` - the checkpoint environment of the job

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.